%global pypi_name PyChromecast
%define name python3-chromecast
%define srcname PyChromecast
%define version 10.3.0

Name:         %{name}
Version:      10.3.0
Release:      6
Source0:      %{name}-%{version}.tar.gz
Summary:      Python module to talk to Google Chromecast
License:      MIT
URL:          https://github.com/home-assistant-libs/pychromecast
BuildArch:    noarch
BuildRoot: 	  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: 	    %{_prefix}
Packager:     Sinan H <sinan@haliyo.net>

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-netifaces
Requires:       python%{python3_pkgversion}-requests
Requires:       python%{python3_pkgversion}-zeroconf
Requires:       python%{python3_pkgversion}-protobuf

%description
Library for Python 3 to communicate with the Google Chromecast. It currently supports:

-  Auto discovering connected Chromecasts on the network
-  Start the default media receiver and play any online media
-  Control playback of current playing media
-  Implement Google Chromecast api v2
-  Communicate with apps via channels
-  Easily extendable to add support for unsupported namespaces
-  Multi-room setups with Audio cast devices

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}
%license LICENSE
%{python3_sitelib}/pychromecast
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%doc README.rst

%changelog
* Mon Mar 21 2022 cygn <sinan@lamad.net> 10.3.0-6
- Revert "Automatic commit of package [python3-chromecast] release [10.3.0-5]."
  (sinan@lamad.net)
- Revert "Revert "Lower protobuf to 3.14 for fedora 36 and cross fingers""
  (sinan@lamad.net)
- Automatic commit of package [python3-chromecast] release [10.3.0-5].
  (sinan@lamad.net)
- Revert "Lower protobuf to 3.14 for fedora 36 and cross fingers"
  (sinan@lamad.net)

* Mon Mar 21 2022 cygn <sinan@lamad.net> 10.3.0-4
- correct .spec errors  Veuillez saisir le message de validation pour vos
  modifications. Les lignes (sinan@lamad.net)

* Mon Mar 21 2022 cygn <sinan@lamad.net> 10.3.0-3
- Lower protobuf to 3.14 for fedora 36 and cross fingers (sinan@lamad.net)
- tito (sinan.haliyo@upmc.fr)

* Sat Mar 19 2022 Sinan Haliyo <sinan.haliyo@upmc.fr> 10.3.0-2
- switch to tito (sinan.haliyo@upmc.fr)

* Thu Feb 11 2021 - 8.1.0
- fetch from upstream
* Thu Jan 14 2021 mockbuilder - 7.7.2-1
- Initial package. SH.
